# MacJournalImport.pl
# mijournal
#
# Created by Brian Lucido on 3/14/13.
# Copyright 2013 GOTOES. All rights reserved.


$directory=$ARGV[0];



#TEST TO SEE IF THEY REALLY HAVE RTFD
if ((substr $directory,-4) =~/\.txt/i){
	#WE HAVE TXT
}else{
	#INCOMPATIBLE FORMAT
	print "ERROR||is not in MacJournal version 2 Format.  MacJournal ver2 files need to end with .txt";
	die;
}


#PARSE FILE LINE BY LINE
open FILE, "<$directory";
while (my $line = <FILE>) {
	if ($line=~ m/(Date:\ )(\d\d\d\d)-(\d\d)-(\d\d) (\d\d):(\d\d):(\d\d) /){
		print "||||||||||-||||||||||"; #DELIMITS ENTRIES.  THIS ONLY APPEARS WITH A NEW ENTRY
		print $3;
		print $4;
		print $2;
		print "||||||||||+||||||||||"; #DELIMITS DATE FROM ENTRIES
	}else{
			print $line;
	}
}
close FILE;
