# MacJournalImport.pl
# mijournal
#
# Created by Brian Lucido on 3/14/13.
# Copyright 2013 GOTOES. All rights reserved.


$directory=$ARGV[0];



#TEST TO SEE IF THEY REALLY HAVE RTFD
if ((substr $directory,-7) =~/\.mjdoc\//i){
	#WE HAVE MJDOC
	if ((substr $directory,-1) eq "/"){
		$newDirectory = $directory . "index.mjml.gz";
	}else{
		$newDirectory = $directory . "/index.mjml.gz";
	}
}else{
	if ((substr $directory,-6) =~/\.mjdoc/i){
		#WE HAVE MJDOC
		if ((substr $directory,-1) eq "/"){
			$newDirectory = $directory . "index.mjml.gz";
		}else{
			$newDirectory = $directory . "/index.mjml.gz";
		}
	}else{
		#INCOMPATIBLE FORMAT
		print "ERROR||is not in MacJournal Format.  MacJournal files need to end with .mjdoc.";
		die;
	}
}

#FIRST FIND THE DATE
$theReturn = "";
open FILE, "gunzip -c '" . $newDirectory . "'|" or die $!;

while (my $line = <FILE>) {
	if ($line=~ m/(\<date\>)(\d\d\d\d)-(\d\d)-(\d\d)T/){
		$theReturn = $3;
		$theReturn .= $4;
		$theReturn .= $2;
		last;
	}
}
close FILE;
#IF NO DATE, WE DO NOT GO FORTH
if ($theReturn eq ""){
	print "ERROR||does not have the date embedded as metadata.";
	die;
}
#NOW FIND THE RTFD FILE
if ((substr $directory,-1) eq "/"){
	$newDirectory = $directory . "Content/";
}else{
	$newDirectory = $directory . "/Content/";
}

if (-d $newDirectory){
	opendir(DIR, $newDirectory) or die $!;
	while (my $file = readdir(DIR)) {
		# Use a regular expression to find files ending in .txt
		next unless ($file =~ m/(\.rtf)(d{0,1})/);
		$theReturn .= "||||||||||Content/" . $file;
		last;
	}
	
	closedir(DIR);
}else{
	print "ERROR||does not appear to be in MacJournal Format.";
}

print $theReturn;